[ Maverik Level 1 typedefs ]

#

MAV_sphere

## Summary

Default object class ``sphere''.

## Syntax

    typedef struct {
      float radius;
      int nverts;
      int nchips;
      MAV_surfaceParams *sp;
      MAV_matrix matrix;
      void *userdef;
    } MAV_sphere;

## Description

A sphere is defined with its centre at the origin with a radius `radius`.

When rendered, `nverts` vertices are used to facet the curved surface of the sphere around the Z axis, and `nchips` vertices around the X axis from -90 to 90 degrees. Both values are only applicable if they are greater than two and `mav_opt_curveLOD` is not set.

Back to the index page.